


# SmeupDataServiceInterface class














**Implementers**

- [SmeupDefaultDataService](../smeup_services_smeup_default_data_service/SmeupDefaultDataService-class.md)
- [SmeupHttpDataService](../smeup_services_smeup_http_data_service/SmeupHttpDataService-class.md)
- [SmeupImageDataService](../smeup_services_smeup_image_data_service/SmeupImageDataService-class.md)
- [SmeupJsonDataService](../smeup_services_smeup_json_data_service/SmeupJsonDataService-class.md)



## Constructors

[SmeupDataServiceInterface](../smeup_services_smeup_data_service_interface/SmeupDataServiceInterface/SmeupDataServiceInterface.md) ()

    


## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html)  
_read-only, inherited_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_




## Methods

##### [invoke](../smeup_services_smeup_data_service_interface/SmeupDataServiceInterface/invoke.md)([SmeupFun](../smeup_models_smeup_fun/SmeupFun-class.md) fun) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[SmeupServiceResponse](../smeup_services_smeup_service_response/SmeupServiceResponse-class.md)>



   




##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](https://api.flutter.dev/flutter/dart-core/Object/toString.html)  
_inherited_




## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)  
_inherited_











